Record CL Usage

Use case: This is used to record a usage from the credit line

Recipes
🦉
The first Lending API you will hit
Open Recipe
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Once you have called the credit grid to move a loan to disbursal_approved state
then call the cl_record api like so :

[
    {
        "partner_loan_id": "...",
        "partner_borrower_id": "...",
        "kudos_loan_id": "...",
        "kudos_borrower_id": "...",
        "ac_holder_name": "...",
        "vpa_id": "test@test",
        "txn_id": "..must always be unique.",
        "txn_reference": "your other internal id perhaps",
        "txn_amount": 100,
        "txn_date": "2021-12-14",
        "txn_label": "Meal",
        "dues": [{
            "date":"2021-12-16",
            "int_value":"5",
            "principal_amount" : "50"
        },{
            "date":"2021-12-30",
            "int_value":"5",
            "principal_amount" : "50"
        }]
    }
]

For a bullet payment due on the 16th of this month

// ...other fields from above..., 
"txn_amount": "100",
"dues": [{
            "date":"2021-12-16",
            "principal_amount" : "100"
 }]

eg: For interest of 1% and late fees

// ...other fields from above..., 
 "txn_amount": "100",
 "dues": [{
            "date":"2021-01-05",
            "int_value":"1",
            "principal_amount" : "100"
        },{
            "date":"2021-12-30",
            "int_value":"5",
            "principal_amount" : "50"
        }]

eg: for splitting a transaction into 3 month EMI

// ...other fields from above..., 
 "txn_amount": "100",
 "dues": [{
            "date":"2021-01-05",
            "int_value":"1",
            "principal_amount" : "33"
  },{
            "date":"2021-02-05",
            "int_value":"1",
            "principal_amount" : "33"
 },{
            "date":"2021-03-05",
            "int_value":"1",
            "principal_amount" : "34" //principal 100 collected back
 }]

Auto generating a repayment schedule based on reducing interest rate

You can can the following columns

"loan_tenure":3,
      "processing_fees_perc":"5",
      "processing_fees_amt":"=processing_fees_perc% * txn_amount",
      "loan_int_rate":"=loanrequest.loan_int_rate", // or set
      "duesResult":"=calculateDues(body)", // will generate repayment schedule and breakup
      "dues":"=duesResult.dues.dues"   // pass the dues from above computation here
Body Params
string
Defaults to ...

Loan ID at the partner's end

string
Defaults to ...

Borrower ID at partner's end

string
Defaults to ...

This contains the kudos loan ID for the request that is being sent, as was generated in the "Loan Request" API

string
Defaults to ...

This contains the kudos borrower ID for the request that is being sent, as was generated in the "Loan Request" API

string
Defaults to some_unique_id

Unique transaction id for the usage

date
Defaults to 2022-01-01

Date of the transaction

string
Defaults to your_internal_id_perhaps

Unique reference id of the transaction

float
Defaults to 100

Transaction amount of the usage

dues
array of objects

a list of dues for this transacton (principal_amount, int_value, date)

dues
string
Defaults to Meal

Please enter transaction type - usage/repayment

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json